com.collabnet.ce.soap60.webservices.planning

## Interface IPlanningAppSoap

- All Known Implementing Classes:
    PlanningAppSoapMockStub, PlanningAppSoapStub

      public interface IPlanningAppSoap

  Provides SOAP services for managing planning folders.

  Change History

  Version 8.2
  - createPlanningFolder5: Adds planning folder type.
  - getPlanningFolder5Data: Adds planning folder type.
  - getPlanningFolderSummary5: Adds planning folder type.
  - getPlanningFolderSummary5List: Adds planning folder type.
  - setPlanningFolder5Data: Adds planning folder type.
  - getPlanningFolder5List: Adds planning folder type.
  - movePlanningFolder5: Adds planning folder type.
  Version 8.0
  - getArtifactListInPlanningFolder2: Adds team and autoSummingPoints field.
  - getRankedArtifactList2: Adds team and autoSummingPoints field.

  Version 7.2
  - createPlanningFolder4: Adds burndownViewMode field.
  - getPlanningFolder4Data: Adds burndownViewMode field.
  - getPlanningFolderSummary4: Adds burndownViewMode field.
  - getPlanningFolderSummary4List: Adds burndownViewMode field.
  - setPlanningFolder4Data: Adds burndownViewMode field.
  - getPlanningFolder4List: Adds burndownViewMode field.
  - movePlanningFolder4: Adds burndownViewMode field.

  Version 7.1
  - createPlanningFolder3: Adds points capacity.
  - getPlanningFolder3Data: Adds points capacity.
  - getPlanningFolderSummary3: Adds points capacity.
  - getPlanningFolderSummary3List: Adds points capacity.
  - setPlanningFolder3Data: Adds points capacity.
  - getPlanningFolder3List: Adds points capacity.
  - movePlanningFolder3: Adds points capacity.

  Version 6.2
  - createPlanningFolder2: Adds tracker unit.
  - getPlanningFolder2Data: Adds tracker unit.
  - getPlanningFolderSummary2: Adds tracker unit and story points on open artifacts.
  - getPlanningFolderSummary2List: Adds tracker unit and story points on open artifacts.
  - setPlanningFolder2Data: Adds tracker unit.
  - getPlanningFolder2List: Adds tracker unit.
  - movePlanningFolder2: Adds tracker unit.

  Version 6.1
  - createPlanningFolder2: Removed and merged into createPlanningFolder.
  - getPlanningFolder2Data: Removed and merged into getPlanningFolderData.
  - getPlanningFolderSummary2: Removed and merged into getPlanningFolderSummary.
  - getPlanningFolderSummary2List: Removed and merged into getPlanningFolderSummaryList.
  - setPlanningFolder2Data: Removed and merged into setPlanningFolderData.
  - getPlanningFolder2List: Removed and merged into getPlanningFolderList.
  - getArtifactListInPlanningFolder2: Removed and merged into getArtifactListInPlanningFolder.
  - movePlanningFolder2: Removed and merged into movePlanningFolder.

  Version 5.4
  - getRankedArtifactList: Added to 5.4 to get the list of artifacts that are assigned to a planning folder or its descendents with their rank in the associated planning folder. It will retrieve the children of the artifacts as well.
  - createPlanningFolder2: Added in 5.4 to create new `PlanningFolder2Soap` objects.
  - getPlanningFolder2Data: Added in 5.4 to return new `PlanningFolder2Soap` objects.
  - getPlanningFolderSummary2: Added in 5.4 to return new `PlanningFolderSummary2Soap` objects.
  - getPlanningFolderSummary2List: Added in 5.4 to return new `PlanningFolderSummary2List` objects.
  - setPlanningFolder2Data: Added in 5.4 to set new `PlanningFolder2Data` objects.
  - getPlanningFolder2List: Added in 5.4 to get new `PlanningFolder2List` objects.
  - movePlanningFolder2: Added in 5.4 to move and get new `PlanningFolder2Soap` object.
  - setPlanningStatusValues: Added in 5.4 to define status values for the planning application.
  - getPlanningStatusValues: Added in 5.4 to get status values for the planning application.
  - getArtifactListInPlanningFolder2: Added in 5.4 to use the get ArtifactsInPlanningFolder2SoapList. The change to the previous is that the new list adds the story points field and the release ids.
  Since:
    5.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlanningFolderSoapDO` | `createPlanningFolder(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId)` Deprecated. in favor of createPlanningFolder4
    `PlanningFolder2SoapDO` | `createPlanningFolder2(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, String releaseId, String trackerUnitId)` Deprecated. in favor of createPlanningFolder4
    `PlanningFolder3SoapDO` | `createPlanningFolder3(String sessionId, String parentId, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId)` Deprecated. in favor of createPlanningFolder4
    `PlanningFolder4SoapDO` | `createPlanningFolder4(String sessionId, String parentId, PlanningFolder4SoapDO soapDO)` Deprecated. in favor of createPlanningFolder5
    `PlanningFolder5SoapDO` | `createPlanningFolder5(String sessionId, String parentId, String type, String title, String description, Date startDate, Date endDate, String status, int capacity, int pointsCapacity, String releaseId, String trackerUnitId, String burndownViewMode)` Creates a new planning folder
    `void` | `deletePlanningFolder(String sessionId, String planningFolderId)` Deletes a planning folder with the specified id.
    `ArtifactsInPlanningFolderSoapList` | `getArtifactListInPlanningFolder(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters, boolean recursive)` Deprecated. in favor of getArtifactListInPlanningFolder2
    `ArtifactsInPlanningFolder2SoapList` | `getArtifactListInPlanningFolder2(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters, boolean recursive)` Returns the list of artifacts contained in a planning folder or its descendants.
    `ArtifactsInPlanningFolder2SoapList` | `getArtifactListInPlanningFolder3(String sessionId, String parentId, com.collabnet.ce.soap60.types.SoapFilter[] filters, boolean recursive, String[] teamId)` Returns the list of artifacts contained in a planning folder or its descendants.
    `PlanningFolder2SoapDO` | `getPlanningFolder2Data(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolder4Data.
    `PlanningFolder2SoapList` | `getPlanningFolder2List(String sessionId, String parentId, boolean recursive)` Deprecated. in favor of getPlanningFolder4List
    `PlanningFolder3SoapDO` | `getPlanningFolder3Data(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolder4Data.
    `PlanningFolder3SoapList` | `getPlanningFolder3List(String sessionId, String parentId, boolean recursive)` Deprecated. in favor of getPlanningFolder4List
    `PlanningFolder4SoapDO` | `getPlanningFolder4Data(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolder5Data.
    `PlanningFolder4SoapList` | `getPlanningFolder4List(String sessionId, String parentId, boolean recursive)` Returns the list of planning folders within the specified project.
    `PlanningFolder5SoapDO` | `getPlanningFolder5Data(String sessionId, String planningFolderId)` Returns a data object for a given planning folder
    `PlanningFolder5SoapList` | `getPlanningFolder5List(String sessionId, String parentId, boolean recursive)` Returns the list of planning folders within the specified project.
    `PlanningFolderSoapDO` | `getPlanningFolderData(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolder4Data.
    `PlanningFolderSoapList` | `getPlanningFolderList(String sessionId, String parentId, boolean recursive)` Deprecated. in favor of getPlanningFolder4List
    `PlanningFolderSummarySoapDO` | `getPlanningFolderSummary(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolderSummary4
    `PlanningFolderSummary2SoapDO` | `getPlanningFolderSummary2(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolderSummary4
    `PlanningFolderSummary2SoapList` | `getPlanningFolderSummary2List(String sessionId, String parentId, boolean recursive)` Deprecated. in favor of getPlanningFolderSummary4List
    `PlanningFolderSummary3SoapDO` | `getPlanningFolderSummary3(String sessionId, String planningFolderId)` Deprecated. in favor of getPlanningFolderSummary4
    `PlanningFolderSummary3SoapList` | `getPlanningFolderSummary3List(String sessionId, String parentId, boolean recursive)` Deprecated. in favor of getPlanningFolderSummary4List
    `PlanningFolderSummary4SoapDO` | `getPlanningFolderSummary4(String sessionId, String planningFolderId)` Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    `PlanningFolderSummary4SoapList` | `getPlanningFolderSummary4List(String sessionId, String parentId, boolean recursive)` Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    `PlanningFolderSummary5SoapDO` | `getPlanningFolderSummary5(String sessionId, String planningFolderId)` Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
    `PlanningFolderSummary5SoapList` | `getPlanningFolderSummary5List(String sessionId, String parentId, boolean recursive)` Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
    `PlanningFolderSummarySoapList` | `getPlanningFolderSummaryList(String sessionId, String parentId, boolean recursive)` Deprecated. in favor of getPlanningFolderSummary4List
    `PlanningStatusValueSoapDO[]` | `getPlanningStatusValues(String sessionId, String projectId)` Gets status values for the planning application of a specific project.
    `RankedArtifactSoapList` | `getRankedArtifactList(String sessionId, String planningFolderId)` Deprecated. in favor of getRankedArtifactList2
    `RankedArtifact2SoapList` | `getRankedArtifactList2(String sessionId, String planningFolderId)` Returns the list of artifacts assigned to a planning folder or its descendants with the rank information in the specified planning folder
    `PlanningFolderSoapDO` | `movePlanningFolder(String sessionId, String planningFolderId, String destParentId)` Deprecated. in favor of movePlanningFolder5
    `PlanningFolder2SoapDO` | `movePlanningFolder2(String sessionId, String planningFolderId, String destParentId)` Deprecated. in favor of movePlanningFolder5
    `PlanningFolder3SoapDO` | `movePlanningFolder3(String sessionId, String planningFolderId, String destParentId)` Deprecated. in favor of movePlanningFolder5
    `PlanningFolder4SoapDO` | `movePlanningFolder4(String sessionId, String planningFolderId, String destParentId)` Deprecated. in favor of movePlanningFolder5
    `PlanningFolder5SoapDO` | `movePlanningFolder5(String sessionId, String planningFolderId, String destParentId)` Moves a Planning Folder including its sub folders and contents.
    `void` | `reorderPlanningFolders(String sessionId, String parentId, String[] planningFolderIds)` Sets a new order for the planning folders in their parent folder.
    `void` | `setPlanningFolder2Data(String sessionId, PlanningFolder2SoapDO planningFolderData)` Deprecated. in favor of setPlanningFolder4Data
    `void` | `setPlanningFolder3Data(String sessionId, PlanningFolder3SoapDO planningFolderData)` Deprecated. in favor of setPlanningFolder4Data
    `void` | `setPlanningFolder4Data(String sessionId, PlanningFolder4SoapDO planningFolderData)` Deprecated. in favor of setPlanningFolder5Data
    `void` | `setPlanningFolder5Data(String sessionId, PlanningFolder5SoapDO planningFolderData)` Sets data on a specific planning folder.
    `void` | `setPlanningFolderData(String sessionId, PlanningFolderSoapDO planningFolderData)` Deprecated. in favor of setPlanningFolder4Data
    `void` | `setPlanningStatusValues(String sessionId, String projectId, PlanningStatusValueSoapDO[] statusValues)` Sets status values that is associated with the planning application of a specific project.

- - ### Method Detail

    - #### createPlanningFolder

          PlanningFolderSoapDO createPlanningFolder(String sessionId,
                                                    String parentId,
                                                    String title,
                                                    String description,
                                                    Date startDate,
                                                    Date endDate,
                                                    String status,
                                                    int capacity,
                                                    String releaseId)
                                             throws RemoteException

      Deprecated. in favor of createPlanningFolder4
      Creates a new planning folder
      Parameters:
        `sessionId` - User session id.
        `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
        `title` - The title of the new planning folder
        `description` - The description of the new planning folder
        `startDate` - The start date of the new planning folder
        `endDate` - The end date of the new planning folder
        `status` - The status of the new planning folder
        `capacity` - The capacity of the new planning folder
        `releaseId` - The release which is associated with the new planning folder
      Returns:
        the planning folder soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        5.3

    - #### createPlanningFolder2

          PlanningFolder2SoapDO createPlanningFolder2(String sessionId,
                                                      String parentId,
                                                      String title,
                                                      String description,
                                                      Date startDate,
                                                      Date endDate,
                                                      String status,
                                                      int capacity,
                                                      String releaseId,
                                                      String trackerUnitId)
                                               throws RemoteException

      Deprecated. in favor of createPlanningFolder4
      Creates a new planning folder
      Parameters:
        `sessionId` - User session id.
        `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
        `title` - The title of the new planning folder
        `description` - The description of the new planning folder
        `startDate` - The start date of the new planning folder
        `endDate` - The end date of the new planning folder
        `status` - The status of the new planning folder
        `capacity` - The capacity of the new planning folder
        `releaseId` - The release which is associated with the new planning folder
        `trackerUnitId` - The tracker unit id
      Returns:
        the planning folder soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        6.2

    - #### createPlanningFolder3

          PlanningFolder3SoapDO createPlanningFolder3(String sessionId,
                                                      String parentId,
                                                      String title,
                                                      String description,
                                                      Date startDate,
                                                      Date endDate,
                                                      String status,
                                                      int capacity,
                                                      int pointsCapacity,
                                                      String releaseId,
                                                      String trackerUnitId)
                                               throws RemoteException

      Deprecated. in favor of createPlanningFolder4
      Creates a new planning folder
      Parameters:
        `sessionId` - User session id.
        `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
        `title` - The title of the new planning folder
        `description` - The description of the new planning folder
        `startDate` - The start date of the new planning folder
        `endDate` - The end date of the new planning folder
        `status` - The status of the new planning folder
        `capacity` - The efforts capacity of the new planning folder
        `pointsCapacity` - The points capacity of the new planning folder
        `releaseId` - The release which is associated with the new planning folder
        `trackerUnitId` - The tracker unit id
      Returns:
        the planning folder soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        7.1

    - #### createPlanningFolder4

          PlanningFolder4SoapDO createPlanningFolder4(String sessionId,
                                                      String parentId,
                                                      PlanningFolder4SoapDO soapDO)
                                               throws RemoteException

      Deprecated. in favor of createPlanningFolder5
      Creates a new planning folder
      Parameters:
        `sessionId` - User session id.
        `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
        `soapDO` - a `PlanningFolder4SoapDO` object
      Returns:
        the planning folder soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        7.2

    - #### createPlanningFolder5

          PlanningFolder5SoapDO createPlanningFolder5(String sessionId,
                                                      String parentId,
                                                      String type,
                                                      String title,
                                                      String description,
                                                      Date startDate,
                                                      Date endDate,
                                                      String status,
                                                      int capacity,
                                                      int pointsCapacity,
                                                      String releaseId,
                                                      String trackerUnitId,
                                                      String burndownViewMode)
                                               throws RemoteException

      Creates a new planning folder
      Parameters:
        `sessionId` - User session id.
        `parentId` - The id of the project under which to create a new top-level planning folder or the id of the planning folder under which to create the new planning folder
        `type` - The type of the new planning folder
        `title` - The title of the new planning folder
        `description` - The description of the new planning folder
        `startDate` - The start date of the new planning folder
        `endDate` - The end date of the new planning folder
        `status` - The status of the new planning folder
        `capacity` - The efforts capacity of the new planning folder
        `pointsCapacity` - The points capacity of the new planning folder
        `releaseId` - The release which is associated with the new planning folder
        `trackerUnitId` - The tracker unit id
        `burndownViewMode` - The burn down view mode
      Returns:
        the planning folder soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing planning folder by that name already exists under the same parent.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        8.2

    - #### getPlanningFolderData

          PlanningFolderSoapDO getPlanningFolderData(String sessionId,
                                                     String planningFolderId)
                                              throws RemoteException

      Deprecated. in favor of getPlanningFolder4Data.
      Returns a data object for a given planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Detailed data on the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        5.3

    - #### getPlanningFolder2Data

          PlanningFolder2SoapDO getPlanningFolder2Data(String sessionId,
                                                       String planningFolderId)
                                                throws RemoteException

      Deprecated. in favor of getPlanningFolder4Data.
      Returns a data object for a given planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Detailed data on the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        6.2

    - #### getPlanningFolder3Data

          PlanningFolder3SoapDO getPlanningFolder3Data(String sessionId,
                                                       String planningFolderId)
                                                throws RemoteException

      Deprecated. in favor of getPlanningFolder4Data.
      Returns a data object for a given planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Detailed data on the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        7.1

    - #### getPlanningFolder4Data

          PlanningFolder4SoapDO getPlanningFolder4Data(String sessionId,
                                                       String planningFolderId)
                                                throws RemoteException

      Deprecated. in favor of getPlanningFolder5Data.
      Returns a data object for a given planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Detailed data on the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        7.2

    - #### getPlanningFolder5Data

          PlanningFolder5SoapDO getPlanningFolder5Data(String sessionId,
                                                       String planningFolderId)
                                                throws RemoteException

      Returns a data object for a given planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Detailed data on the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        8.2

    - #### getPlanningFolderSummary

          PlanningFolderSummarySoapDO getPlanningFolderSummary(String sessionId,
                                                               String planningFolderId)
                                                        throws RemoteException

      Deprecated. in favor of getPlanningFolderSummary4
      Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Statistics for the artifacts in the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        5.3

    - #### getPlanningFolderSummary2

          PlanningFolderSummary2SoapDO getPlanningFolderSummary2(String sessionId,
                                                                 String planningFolderId)
                                                          throws RemoteException

      Deprecated. in favor of getPlanningFolderSummary4
      Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Statistics for the artifacts in the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        6.2

    - #### getPlanningFolderSummary3

          PlanningFolderSummary3SoapDO getPlanningFolderSummary3(String sessionId,
                                                                 String planningFolderId)
                                                          throws RemoteException

      Deprecated. in favor of getPlanningFolderSummary4
      Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Statistics for the artifacts in the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        7.1

    - #### getPlanningFolderSummary4

          PlanningFolderSummary4SoapDO getPlanningFolderSummary4(String sessionId,
                                                                 String planningFolderId)
                                                          throws RemoteException

      Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Statistics for the artifacts in the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        7.2

    - #### getPlanningFolderSummary5

          PlanningFolderSummary5SoapDO getPlanningFolderSummary5(String sessionId,
                                                                 String planningFolderId)
                                                          throws RemoteException

      Returns the statistics for the artifacts in a given planning folder and all its sub planning folders
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - PlanningFolder id.
      Returns:
        Statistics for the artifacts in the PlanningFolder.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when argument is invalid.
        `RemoteException`
      Since:
        8.2

    - #### getPlanningFolderSummaryList

          PlanningFolderSummarySoapList getPlanningFolderSummaryList(String sessionId,
                                                                     String parentId,
                                                                     boolean recursive)
                                                              throws RemoteException

      Deprecated. in favor of getPlanningFolderSummary4List
      Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid argument value is passed.
        `RemoteException`
      Since:
        5.3

    - #### getPlanningFolderSummary2List

          PlanningFolderSummary2SoapList getPlanningFolderSummary2List(String sessionId,
                                                                       String parentId,
                                                                       boolean recursive)
                                                                throws RemoteException

      Deprecated. in favor of getPlanningFolderSummary4List
      Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid argument value is passed.
        `RemoteException`
      Since:
        5.3

    - #### getPlanningFolderSummary3List

          PlanningFolderSummary3SoapList getPlanningFolderSummary3List(String sessionId,
                                                                       String parentId,
                                                                       boolean recursive)
                                                                throws RemoteException

      Deprecated. in favor of getPlanningFolderSummary4List
      Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid argument value is passed.
        `RemoteException`
      Since:
        7.1

    - #### getPlanningFolderSummary4List

          PlanningFolderSummary4SoapList getPlanningFolderSummary4List(String sessionId,
                                                                       String parentId,
                                                                       boolean recursive)
                                                                throws RemoteException

      Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid argument value is passed.
        `RemoteException`
      Since:
        7.2

    - #### getPlanningFolderSummary5List

          PlanningFolderSummary5SoapList getPlanningFolderSummary5List(String sessionId,
                                                                       String parentId,
                                                                       boolean recursive)
                                                                throws RemoteException

      Returns the list of planning folders within the specified project including their statistics Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid argument value is passed.
        `RemoteException`
      Since:
        8.2

    - #### setPlanningFolderData

          void setPlanningFolderData(String sessionId,
                                     PlanningFolderSoapDO planningFolderData)
                              throws RemoteException

      Deprecated. in favor of setPlanningFolder4Data
      Sets data on a specific planning folder.
      Parameters:
        `sessionId` - User session id.
        `planningFolderData` - Detailed data on the planning folder to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the data object is not up to date any more.
        `RemoteException`
      Since:
        5.3

    - #### setPlanningFolder2Data

          void setPlanningFolder2Data(String sessionId,
                                      PlanningFolder2SoapDO planningFolderData)
                               throws RemoteException

      Deprecated. in favor of setPlanningFolder4Data
      Sets data on a specific planning folder.
      Parameters:
        `sessionId` - User session id.
        `planningFolderData` - Detailed data on the planning folder to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the data object is not up to date any more.
        `RemoteException`
      Since:
        6.2

    - #### setPlanningFolder3Data

          void setPlanningFolder3Data(String sessionId,
                                      PlanningFolder3SoapDO planningFolderData)
                               throws RemoteException

      Deprecated. in favor of setPlanningFolder4Data
      Sets data on a specific planning folder.
      Parameters:
        `sessionId` - User session id.
        `planningFolderData` - Detailed data on the planning folder to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the data object is not up to date any more.
        `RemoteException`
      Since:
        7.1

    - #### setPlanningFolder4Data

          void setPlanningFolder4Data(String sessionId,
                                      PlanningFolder4SoapDO planningFolderData)
                               throws RemoteException

      Deprecated. in favor of setPlanningFolder5Data
      Sets data on a specific planning folder.
      Parameters:
        `sessionId` - User session id.
        `planningFolderData` - Detailed data on the planning folder to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the data object is not up to date any more.
        `RemoteException`
      Since:
        7.2

    - #### setPlanningFolder5Data

          void setPlanningFolder5Data(String sessionId,
                                      PlanningFolder5SoapDO planningFolderData)
                               throws RemoteException

      Sets data on a specific planning folder.
      Parameters:
        `sessionId` - User session id.
        `planningFolderData` - Detailed data on the planning folder to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the data object is not up to date any more.
        `RemoteException`
      Since:
        8.2

    - #### getPlanningFolderList

          PlanningFolderSoapList getPlanningFolderList(String sessionId,
                                                       String parentId,
                                                       boolean recursive)
                                                throws RemoteException

      Deprecated. in favor of getPlanningFolder4List
      Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when ivalid argument value is passed.
        `RemoteException`
      Since:
        5.3

    - #### getPlanningFolder2List

          PlanningFolder2SoapList getPlanningFolder2List(String sessionId,
                                                         String parentId,
                                                         boolean recursive)
                                                  throws RemoteException

      Deprecated. in favor of getPlanningFolder4List
      Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when ivalid argument value is passed.
        `RemoteException`
      Since:
        6.2

    - #### getPlanningFolder3List

          PlanningFolder3SoapList getPlanningFolder3List(String sessionId,
                                                         String parentId,
                                                         boolean recursive)
                                                  throws RemoteException

      Deprecated. in favor of getPlanningFolder4List
      Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when ivalid argument value is passed.
        `RemoteException`
      Since:
        7.1

    - #### getPlanningFolder4List

          PlanningFolder4SoapList getPlanningFolder4List(String sessionId,
                                                         String parentId,
                                                         boolean recursive)
                                                  throws RemoteException

      Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when ivalid argument value is passed.
        `RemoteException`
      Since:
        7.2

    - #### getPlanningFolder5List

          PlanningFolder5SoapList getPlanningFolder5List(String sessionId,
                                                         String parentId,
                                                         boolean recursive)
                                                  throws RemoteException

      Returns the list of planning folders within the specified project. Planning folders having the same parent are correctly ordered.
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent planning folder id -or- project id for listing all top-level planning folders.
        `recursive` - Show subfolders of the planning folders returned
      Returns:
        List of filtered planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when ivalid argument value is passed.
        `RemoteException`
      Since:
        8.2

    - #### getArtifactListInPlanningFolder

          ArtifactsInPlanningFolderSoapList getArtifactListInPlanningFolder(String sessionId,
                                                                            String parentId,
                                                                            com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                            boolean recursive)
                                                                     throws RemoteException

      Deprecated. in favor of getArtifactListInPlanningFolder2
      /**

      Returns the list of artifacts contained in a planning folder or its descendants. The difference between this call and getArtifactListInPlanningFolder is that the new list adds the story points, the status and the release.

      Parameters:
        `sessionId` - User session id.
        `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder If parentId is a project id, this method will return all artifacts of the project not assigned to any planning folder
        `recursive` - indicates if descendents planning folder artifacts will be included in the result
        `filters` - Array of filters to apply (null to return unfiltered list).
      Returns:
        List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `RemoteException`
      Since:
        5.3

    - #### getArtifactListInPlanningFolder2

          ArtifactsInPlanningFolder2SoapList getArtifactListInPlanningFolder2(String sessionId,
                                                                              String parentId,
                                                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                              boolean recursive)
                                                                       throws RemoteException

      Returns the list of artifacts contained in a planning folder or its descendants. The difference between this call and getArtifactListInPlanningFolder is that the new list adds the team Id.
      Parameters:
        `sessionId` - User session id.
        `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder If parentId is a project id, this method will return all artifacts of the project not assigned to any planning folder
        `recursive` - indicates if descendents planning folder artifacts will be included in the result
        `filters` - Array of filters to apply (null to return unfiltered list).
      Returns:
        List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `RemoteException`
      Since:
        8.0

    - #### getArtifactListInPlanningFolder3

          ArtifactsInPlanningFolder2SoapList getArtifactListInPlanningFolder3(String sessionId,
                                                                              String parentId,
                                                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                              boolean recursive,
                                                                              String[] teamId)
                                                                       throws RemoteException

      Returns the list of artifacts contained in a planning folder or its descendants. The difference between this call and getArtifactListInPlanningFolder2 is that artifacts contained in a planning folder and team will be returned. If teamId is not specified, it just shows the list of artifacts in that planning folder.
      Parameters:
        `sessionId` - User session id.
        `parentId` - if parentId is a planning folder id, this method will return artifacts that are part of this planning folder If parentId is a project id, this method will return all artifacts of the project not assigned to any planning folder
        `recursive` - indicates if descendents planning folder artifacts will be included in the result
        `filters` - Array of filters to apply (null to return unfiltered list).
        `teamId` - if teamId is specified it shows the list of artifacts in that team
      Returns:
        List of artifacts contained in the planning folder/its descendents or artifacts not planned yet.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `RemoteException`
      Since:
        17.1

    - #### getRankedArtifactList

          RankedArtifactSoapList getRankedArtifactList(String sessionId,
                                                       String planningFolderId)
                                                throws RemoteException

      Deprecated. in favor of getRankedArtifactList2
      Returns the list of artifacts assigned to a planning folder or its descendants with the rank information in the specified planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - this method will return artifacts that are part of this planning folder or its descendants
      Returns:
        List of artifacts contained in the planning folder and its descendants with their rank in the specified planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `RemoteException`
      Since:
        5.4

    - #### getRankedArtifactList2

          RankedArtifact2SoapList getRankedArtifactList2(String sessionId,
                                                         String planningFolderId)
                                                  throws RemoteException

      Returns the list of artifacts assigned to a planning folder or its descendants with the rank information in the specified planning folder
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - this method will return artifacts that are part of this planning folder or its descendants
      Returns:
        List of artifacts contained in the planning folder and its descendants with their rank in the specified planning folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `RemoteException`
      Since:
        8.0

    - #### movePlanningFolder

          PlanningFolderSoapDO movePlanningFolder(String sessionId,
                                                  String planningFolderId,
                                                  String destParentId)
                                           throws RemoteException

      Deprecated. in favor of movePlanningFolder5
      Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - planning folder id to move.
        `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
      Returns:
        new planning folder object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
        `RemoteException`
      Since:
        5.3

    - #### movePlanningFolder2

          PlanningFolder2SoapDO movePlanningFolder2(String sessionId,
                                                    String planningFolderId,
                                                    String destParentId)
                                             throws RemoteException

      Deprecated. in favor of movePlanningFolder5
      Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - planning folder id to move.
        `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
      Returns:
        new planning folder object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
        `RemoteException`
      Since:
        6.2

    - #### movePlanningFolder3

          PlanningFolder3SoapDO movePlanningFolder3(String sessionId,
                                                    String planningFolderId,
                                                    String destParentId)
                                             throws RemoteException

      Deprecated. in favor of movePlanningFolder5
      Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - planning folder id to move.
        `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
      Returns:
        new planning folder object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
        `RemoteException`
      Since:
        7.1

    - #### movePlanningFolder4

          PlanningFolder4SoapDO movePlanningFolder4(String sessionId,
                                                    String planningFolderId,
                                                    String destParentId)
                                             throws RemoteException

      Deprecated. in favor of movePlanningFolder5
      Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - planning folder id to move.
        `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
      Returns:
        new planning folder object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
        `RemoteException`
      Since:
        7.2

    - #### movePlanningFolder5

          PlanningFolder5SoapDO movePlanningFolder5(String sessionId,
                                                    String planningFolderId,
                                                    String destParentId)
                                             throws RemoteException

      Moves a Planning Folder including its sub folders and contents. Fails if not everything can be moved.
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - planning folder id to move.
        `destParentId` - destination planning folder id or project id if folder should become a top level planning folder
      Returns:
        new planning folder object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
        `RemoteException`
      Since:
        8.2

    - #### reorderPlanningFolders

          void reorderPlanningFolders(String sessionId,
                                      String parentId,
                                      String[] planningFolderIds)
                               throws RemoteException

      Sets a new order for the planning folders in their parent folder. The planning folders will be listed in this new order in UI.
      Parameters:
        `sessionId` - User session id.
        `parentId` - the id of the parent planning folder -or- the project id if the planning folders to sort are top level planning folders.
        `planningFolderIds` - an array of planning folder ids in their new order
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value is passed.
        `RemoteException`
      Since:
        5.3

    - #### deletePlanningFolder

          void deletePlanningFolder(String sessionId,
                                    String planningFolderId)
                             throws RemoteException

      Deletes a planning folder with the specified id. All sub planning folders will be deleted as well. Tracker items in planning folder or sub planning folders will move up to the parent of the deleted planning folder or will lose their planning folder association at all if the deleted planning folder was a top-level folder.
      Parameters:
        `sessionId` - SOAP session id.
        `planningFolderId` - planning folder id to delete.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more of the parameters are invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when an artifact associated to the planning folder or a sub planning folder has been modified in between the delete operation.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - if the operation would cause planning folder violation
        `RemoteException`
      Since:
        5.3

    - #### setPlanningStatusValues

          void setPlanningStatusValues(String sessionId,
                                       String projectId,
                                       PlanningStatusValueSoapDO[] statusValues)
                                throws RemoteException

      Sets status values that is associated with the planning application of a specific project.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project for which to set the planning application status values.
        `statusValues` - Array of status values to set
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when failed to get status field for the given project
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the values have been updated since this status field was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified. See FaultSummary for detail for the following: - DUPLICATE_FIELD_VALUE - ILLEGAL_FIELD_VALUE - INVALID_FIELD_VALUE - INVALID_DEFAULT_VALUE - INVALID_FIELD_OPTIONS_REQUIRED_DISABLED - INVALID_FIELD_VALUE_LENGTH - REQUIRED_FIELD_MISSING
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed. See FaultSummary for detail for the following: - INVALID_OPTION_DISABLE_RESERVED_FIELD - INVALID_OPTION_DISABLE_IN_USE_FIELD
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - if changing a status violates artifact dependency
        `RemoteException`
      Since:
        5.4
      See Also:
        `FaultSummary`

    - #### getPlanningStatusValues

          PlanningStatusValueSoapDO[] getPlanningStatusValues(String sessionId,
                                                              String projectId)
                                                       throws RemoteException

      Gets status values for the planning application of a specific project.
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project for which to set the planning application status values.
      Returns:
        Status values for the planning application.
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when failed to get status field for the given project
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.4

Copyright © 2020 CollabNet. All rights reserved.